v3.0
post
/ec-ors-svc/rest/v3.0/studies/{studyId}/{mode}/sites/{siteId}/resupply/manual
Initiates manual resupply to a site. Rights: OrsSupplyManagerPost and OrsBlinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
siteId(required): string(uuid)
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
9B83BFB48C5A41C59775E4D8D22D8B26 -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
Supported Media Types
- application/json
Root Schema : schema
Type:
objectContains details of manual resupply request to site.
Show Source
-
jobInstanceId: string
Title:
Job Instance IDJob instance ID.Example:4FEBE3E166454E2687C6FAC306E7C86E -
reason: string
Reason to request manual resupply to site.Example:
Some reason.
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : IDResponse v1.0
Type:
objectTitle:
IDResponse v1.0Response containing the identifier.
Show Source
Examples
400 Response
Manual shipment is not allowed for this study
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples
404 Response
'Invalid study ID', 'Study still in Draft (design phase)', 'Invalid site ID'
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples
500 Response
Internal server error
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples